=== debian/changelog ===
docker-runc (1.0.0~rc2+git+docker1.13.1~ds1-3) unstable; urgency=medium

  [ Tianon Gravi ]
  * Team upload.  
  * Remove unused/unnecessary lintian-overrides
  * Update Standards-Version to 4.1.1 (no changes)
  * Add DEP3 metadata to "libcontainer-cgroup2-bugfix.patch"

  [ Michael Stapelberg ]
  * Set XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 10:42:20 +0100

docker-runc (1.0.0~rc2+git+docker1.13.1~ds1-2) unstable; urgency=medium

  * Fix Maintainer to still use the old Alioth list (thanks olasd)
    - https://lists.debian.org/debian-devel/2017/09/msg00272.html

 -- Tianon Gravi <tianon@debian.org>  Tue, 10 Oct 2017 17:10:07 -0700

docker-runc (1.0.0~rc2+git+docker1.13.1~ds1-1) unstable; urgency=medium

  * Update Maintainer to the Docker Team
  * Apply wrap-and-sort
  * Fix minor typo in Description
  * Update package version to reflect Docker version dependance (also enables
    uscan to fetch the exact proper bits)
  * Refactor to keep the vendored runtime-spec rather than using multiorig
  * Add Provides to -dev package

 -- Tianon Gravi <tianon@debian.org>  Tue, 10 Oct 2017 16:13:56 -0700

docker-runc (1.0.0~rc2+git20170201.133.9df8b30-4) unstable; urgency=medium

  * Team Upload.
  * Update watch file to match release candidates
  * Fix typo in golang-github-opencontainers-runc-dev package description
    (Closes: #873760)
  * Rename source package to docker-runc and binary packages accordingly
    (Closes: #877284)
  * Build-depend on rename
  * Rename runc binary to docker-runc matching docker.io upstream's practice
  * Use the docker-runc name in the man pages
  * Build-depend on golang-github-xeipuuv-gojsonschema-dev
  * Add runtime-spec as additional upstream tarball using Debian's
    golang-github-opencontainers-specs 1.0.0~rc2+git20160926.38.1c7c27d
    original tarball instead of build-depending on
    golang-github-opencontainers-specs-dev which package has incompatible
    changes following upstream.

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 30 Sep 2017 00:35:47 -0400

runc (1.0.0~rc2+git20170201.133.9df8b30-3) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 15:00:55 +0300

runc (1.0.0~rc2+git20170201.133.9df8b30-2) unstable; urgency=medium

  * Patch to make libcontainer ignore cgroup2 hierarchy. Patch pulled from
    https://github.com/opencontainers/runc/pull/1266.

 -- Vincent Bernat <bernat@debian.org>  Fri, 30 Jun 2017 07:10:34 +0200

runc (1.0.0~rc2+git20170201.133.9df8b30-1) unstable; urgency=medium

  * New upstream snapshot for Docker 1.13.1.

 -- Tim Potter <tpot@hpe.com>  Wed, 24 May 2017 11:36:40 +1000

runc (1.0.0~rc2+git20161109.131.5137186-2) unstable; urgency=medium

  * Add Breaks line to binary package to avoid messing up previous 
    Docker installs.

 -- Tim Potter <tpot@hpe.com>  Fri, 24 Feb 2017 09:49:06 +1100

runc (1.0.0~rc2+git20161109.131.5137186-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh backported patch for CVE-2016-9962.

 -- Tim Potter <tpot@hpe.com>  Wed, 15 Feb 2017 09:08:52 +1100

runc (0.1.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Backport patch for CVE-2016-9962 (Closes: #850951)

 -- Tianon Gravi <tianon@debian.org>  Wed, 01 Feb 2017 07:17:54 -0800

runc (0.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream release [June 2016].
  * testworks: disabled privileged and failing tests.
  * Build with "apparmor seccomp" tags (Closes: #830818);
    Build-Depends += "libapparmor-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Jul 2016 23:00:43 +1000

runc (0.1.0+dfsg1-1) unstable; urgency=medium

  * Dropped dependency on "golang-docker-dev" in favour of bundled
    (or build time sub-vendored) "github.com/docker/docker" in order
    to avoid circular dependency with Docker.
  * Standards-Version: 3.9.8.
  * Corrected Vcs-Git URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 12 Jun 2016 17:56:45 +1000

runc (0.1.0+dfsg-1) unstable; urgency=medium

  [ Tim Potter ]
  * Team upload
  * New upstream release [April 2016]
    = golang-github-opencontainers-specs-dev (>= 0.5.0~)
  * De-vendor new dependencies; pquerna/ffjson appears unused

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 Apr 2016 07:59:18 +1000

runc (0.0.9+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2016].
  * (Build-)Depends:
    = golang-github-opencontainers-specs-dev (>= 0.4.0~)
    = golang-github-codegangsta-cli-dev (>= 0.0~git20151221~)
    - help2man
    + go-md2man
  * Install upstream man pages.
  * Install "runc" binary to "/usr/sbin".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 16 Apr 2016 17:23:48 +1000

runc (0.0.8+dfsg-2) unstable; urgency=medium

  * (Build-)Depends:
    + golang-github-docker-go-units-dev
    + golang-github-seccomp-libseccomp-golang-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 23 Mar 2016 20:05:01 +1100

runc (0.0.8+dfsg-1) unstable; urgency=medium

  * New upstream release [February 2016].
  * Build-Depends:
    + golang-github-vishvananda-netlink-dev
  * Updated Vcs URLs.
  * Standards-Version: 3.9.7.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 26 Feb 2016 18:19:24 +1100

runc (0.0.4~dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #802507).
  * Dropped obsolete lintian-overrides.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 21 Oct 2015 09:02:42 +1100

runc (0.0.3~dfsg2-1) unstable; urgency=low

  * Initial release (Closes: #796486).
    Thanks, Alexandre Viau.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Sep 2015 18:06:34 +1000
